Package org.apache.maven.scm.provider.perforce.command.blame

## Class PerforceFilelogConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.perforce.command.blame.PerforceFilelogConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

    public class PerforceFilelogConsumer
    extends AbstractConsumer

Since:
  1.4
Author:
  Evgeny Mandrikov

### Constructor Summary

Constructors
`PerforceFilelogConsumer​(ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine​(java.lang.String line)`
`java.lang.String` `getAuthor​(java.lang.String revision)`
`java.util.Date` `getDate​(java.lang.String revision)`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerforceFilelogConsumer

    public PerforceFilelogConsumer​(ScmLogger logger)

### Method Detail

#### consumeLine

    public void consumeLine​(java.lang.String line)

#### getAuthor

    public java.lang.String getAuthor​(java.lang.String revision)

#### getDate

    public java.util.Date getDate​(java.lang.String revision)